View Issue Details

IDProjectCategoryView StatusLast Update
0001905XdebugStep Debuggingpublic2020-12-04 11:04
Reporterhgs Assigned Toderick  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformPCOSWindows 10 ProOS Version20H2
Product Version3.0.0 
Target Version3.0devFixed in Version3.0.1 
Summary0001905: Debugger does not disable request timeouts
DescriptionI am using Xdebug for many years now and have not seen this.
During long debugging sessions PHP max_execution_time throws an error and debuginig is gone.
As I said I have never before seen this before.
Shouldn't Xdebug call something like set_time_limit ( 0 ) at start ?
Have I missed soemthing ?
Steps To ReproduceStart debugging some PHP sources. Wait long enough on a breakpoint ... == > BUMM
TagsNo tags attached.
Operating SystemWindows 10 Pro
PHP Version8.0.0-8.0.4

Activities

derick

2020-12-01 19:36

administrator   ~0005562

Xdebug should indeed call set time limit, or PHP's internal variant and it certainly used to. Its possible that I broke it so will have a look.

nobodyfamous

2020-12-02 16:40

reporter   ~0005564

I am having the same issue with PHP 7.3, Xdebug 3.0.0, switching to php 7.4 where Xdebug v2.9.6 is setup works without issue. The debugging session just disapears some times. Othertimes the browser (Brave/Chrome) will also show and error "ERR_EMPTY_RESPONSE". The timing is usually about 60 seconds, but some times almost instantly.

nobodyfamous

2020-12-02 16:48

reporter   ~0005565

To add to my previous note, using `sudo apt-get install php-xdebug` to install Xdebug v2.9.8 on php 7.3 everything workes as expected. (in all cases updating the configuration as appropriate [xdebug.mode vs xdebug.remote_enable])

derick

2020-12-04 10:21

administrator   ~0005570

I had updated the code that disables the timeout timers. And introduced a bug.

derick

2020-12-04 10:23

administrator   ~0005571

https://github.com/xdebug/xdebug/pull/704

Issue History

Date Modified Username Field Change
2020-12-01 18:01 hgs New Issue
2020-12-01 19:36 derick Assigned To => derick
2020-12-01 19:36 derick Status new => acknowledged
2020-12-01 19:36 derick Note Added: 0005562
2020-12-01 19:36 derick Target Version => 3.0dev
2020-12-02 16:40 nobodyfamous Note Added: 0005564
2020-12-02 16:48 nobodyfamous Note Added: 0005565
2020-12-04 10:21 derick Summary PHP max_execution_time stops/ends/kills debugging => Request timeout not correctly set
2020-12-04 10:21 derick Note Added: 0005570
2020-12-04 10:22 derick Summary Request timeout not correctly set => Debugger does not disable request timeouts
2020-12-04 10:23 derick Note Added: 0005571
2020-12-04 11:04 derick Status acknowledged => closed
2020-12-04 11:04 derick Resolution open => fixed
2020-12-04 11:04 derick Fixed in Version => 3.0.1